---
names:
  full: AWS IAM User with console and programmatic access set during the initial
    creation
  contextual: User with console and programmatic access set during the initial
    creation
description: "AWS console defaults to no check boxes selected when creating a new\
  \ IAM user. When creating the IAM User credentials you have to determine what type\
  \ of access they require. Programmatic access: The IAM user might need to make API\
  \ calls, use the AWS CLI, or use the Tools for Windows PowerShell. In that case,\
  \ create an access key (access key ID and a secret access key) for that user. AWS\
  \ Management Console access: If the user needs to access the AWS Management Console,\
  \ create a password for the user."
impossible: true
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-aws-v5.0.0/01/10"
  - "/frameworks/cloudaware/identity-and-access-governance/credential-lifecycle-management"
similarPolicies:
  internal:
    - dec-x-b10e98af
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/aws/IAM/access-keys-during-initial-iam-user-setup.html
      name: Access Keys During Initial IAM User Setup
